Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0043655
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POSmajoralways2020-04-03 09:072020-06-03 12:39
ReportermarvintmView Statuspublic 
Assigned ToSandrahuguet 
PrioritynormalResolutionfixedFixed in VersionRR20Q3
StatusclosedFix in branchFixed in SCM revision6784f352d855
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tomarvintm
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0043655: API change: Brand has been removed from WebPOS

DescriptionThe "brand" as a separate concept has been removed from the WebPOS. Now it can be implemented as a normal product characteristic.

If there are products in the system that contain brands, there is a modulescript which will automatically transform those brands into values of a characteristic named "Brand".

Additionally, several other classes have been changed so that they extend from the new MasterDataProcessHQLQuery class instead of the basic ProcessHQLQuery as they are now implemented using the new IndexedDB masterdata API.
Steps To Reproduce,
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to feature request 0043657 closedSandrahuguet Masterdata IndexedDB - Phase 1 
related to defect 0044292 newRetail RetailApiExportProductFilters test fails 

-  Notes
(0118956)
hgbot (developer)
2020-04-06 11:52

Repository: retail/api-checks-retail
Changeset: 6784f352d855faa5bef38d82a805fc2a5673b820
Author: Sandra Huguet <sandra.huguet <at> openbravo.com>
Date: Mon Apr 06 11:31:31 2020 +0200
URL: http://code.openbravo.com/retail/api-checks-retail/rev/6784f352d855faa5bef38d82a805fc2a5673b820 [^]

Fixed issue 43655. Brand has been removed.

---
M java/reference/java.japi.gz
---
(0120427)
hgbot (developer)
2020-05-28 17:13

Repository: retail/api-checks-retail
Changeset: c656d47c3a3b5231ce244adc64e0b03441f5a3de
Author: Sandra Huguet <sandra.huguet <at> openbravo.com>
Date: Thu May 28 17:13:38 2020 +0200
URL: http://code.openbravo.com/retail/api-checks-retail/rev/c656d47c3a3b5231ce244adc64e0b03441f5a3de [^]

related to issue 43655

---
M java/reference/java.japi.gz
---
(0120588)
hgbot (developer)
2020-06-03 12:39

Repository: retail/api-checks-retail
Changeset: 3373119a719a6cbe0bb2bd112284fc95b9f3ee02
Author: Ranjith S R <ranjith <at> qualiantech.com>
Date: Wed Jun 03 16:09:33 2020 +0530
URL: http://code.openbravo.com/retail/api-checks-retail/rev/3373119a719a6cbe0bb2bd112284fc95b9f3ee02 [^]

Related to issue 43655 : Masterdata CurrencyPanel class was removed.

* Masterdata CurrencyPanel is moved to Terminal Property.
  So Java Class CurrencyPanel is removed

---
M java/reference/java.japi.gz
---

- Issue History
Date Modified Username Field Change
2020-04-03 09:07 marvintm New Issue
2020-04-03 09:07 marvintm Assigned To => Retail
2020-04-03 09:07 marvintm Triggers an Emergency Pack => No
2020-04-03 15:49 marvintm Relationship added related to 0043657
2020-04-06 11:52 hgbot Checkin
2020-04-06 11:52 hgbot Note Added: 0118956
2020-04-06 11:52 hgbot Status new => resolved
2020-04-06 11:52 hgbot Resolution open => fixed
2020-04-06 11:52 hgbot Fixed in SCM revision => http://code.openbravo.com/retail/api-checks-retail/rev/6784f352d855faa5bef38d82a805fc2a5673b820 [^]
2020-04-06 11:56 caristu Issue cloned 0043672
2020-04-06 16:03 Sandrahuguet Assigned To Retail => Sandrahuguet
2020-04-07 11:45 Sandrahuguet Review Assigned To => marvintm
2020-04-17 12:27 marvintm Status resolved => closed
2020-04-17 12:27 marvintm Fixed in Version => RR20Q3
2020-05-28 17:13 hgbot Checkin
2020-05-28 17:13 hgbot Note Added: 0120427
2020-06-03 07:56 marvintm Description Updated View Revisions
2020-06-03 12:39 hgbot Checkin
2020-06-03 12:39 hgbot Note Added: 0120588
2020-06-05 10:38 caristu Relationship added related to 0044292


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker